/**
 * Copyright (c) 2023 Dominic Masters
 * 
 * This software is released under the MIT License.
 * https://opensource.org/licenses/MIT
 */

#include "color.h"
#include "assert/assert.h"

const color4f_t COLOR4F_COLOR_MAP[COLOR_COUNT] = {
  COLOR4F_BLACK,
  COLOR4F_WHITE,
  COLOR4F(0.8f, 0.0f, 0.0f, 1.0f),
  COLOR4F(0.0f, 0.5f, 0.0f, 1.0f),
  COLOR4F(0.0f, 0.0f, 0.8f, 1.0f),
  COLOR4F(0.8f, 0.8f, 0.0f, 1.0f),
  COLOR4F(0.8f, 0.0f, 0.8f, 1.0f),
  COLOR4F(0.0f, 0.8f, 0.8f, 1.0f)
};

void color4fCopy(const color4f_t src, color4f_t dest) {
  memcpy(dest, src, sizeof(color4f_t));
}