/**
 * Copyright (c) 2024 Dominic Masters
 * 
 * This software is released under the MIT License.
 * https://opensource.org/licenses/MIT
 */

#pragma once
#include "display/frame.h"
#include "rpg/world/map.h"

/**
 * Draws a map to a region of the screen.
 * 
 * @param map Map to draw.
 * @param cameraX X position of the camera.
 * @param cameraY Y position of the camera.
 * @param drawX X position to draw the map.
 * @param drawY Y position to draw the map.
 * @param drawWidth Width of the map to draw.
 * @param drawHeight Height of the map to draw.
 */
void drawMap(
  const map_t *map,
  const uint16_t cameraX,
  const uint16_t cameraY,
  const uint16_t drawX,
  const uint16_t drawY,
  const uint16_t drawWidth,
  const uint16_t drawHeight
);