/**
 * Copyright (c) 2024 Dominic Masters
 * 
 * This software is released under the MIT License.
 * https://opensource.org/licenses/MIT
 */

#pragma once
#include "dawn.h"

typedef struct {
  float_t delta;
  float_t time;
} dawntime_t;

extern dawntime_t TIME;

/**
 * Initializes the time system.
 */
void timeInit();

/**
 * Updates the time system.
 * 
 * @param delta Time since last update.
 */
void timeUpdate(const float_t delta);