/**
 * Copyright (c) 2024 Dominic Masters
 * 
 * This software is released under the MIT License.
 * https://opensource.org/licenses/MIT
 */

#include "input.h"
#include "dawnglfw.h"
#include "assert/assert.h"

inputstate_t inputGetState(const inputbind_t bind) {
  assertTrue(bind < INPUT_BIND_COUNT, "Invalid input bind index.");

  dawnglfwbind_t *binds = &DAWN_GLFW.inputBinds[bind];
  for(int32_t i = 0; i < binds->keyCount; i++) {
    if(glfwGetKey(DAWN_GLFW.window, binds->keys[i]) == GLFW_PRESS) return true;
  }
  return false;
}