/**
 * Copyright (c) 2024 Dominic Masters
 * 
 * This software is released under the MIT License.
 * https://opensource.org/licenses/MIT
 */

#pragma once
#include "texture.h"

typedef struct {
  texture_t texture;
} font_t;

extern font_t FONT;

/**
 * Initializes the render font.
 */
void fontInit();

/**
 * Gets the UV coordinates for a character.
 * 
 * @param c Character to get UV coordinates for.
 * @return UV coordinates for the character.
 */
void fontCharGetUV(const char_t c, vec4_t out);

/**
 * Disposes of the render font.
 */
void fontDispose();